# orbl (filter)

## Name

orbl (filter) — A constraint on orientability

## Synopsis

Content Model

    orbl ::=

Attributes
Name | Type
`value` | CDATA (required)

## Description

An `orbl` (filter) element represents a constraint on the orientability of a normal surface.

### Parents

The following elements contain `orbl` (in the context of a constraint on surface properties): `filter` (properties).

### Children

Element `orbl` (in the context of a constraint on surface properties) has no children.

## Attributes

`value`

  Contains the specific constraint upon the orientability of a surface. The following values are allowed.

  - `TF` signifies that the surface may be either orientable or non-orientable, i.e., no constraint is imposed.

  - `T-` signifies that the surface must be orientable.

  - `-F` signifies that the surface must be non-orientable.

  - `--` signifies that the surface must be neither orientable nor non-orientable, i.e., no surfaces are accepted.